Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html.parser
Class Entity

    java.lang.Object
      |
      +--javax.swing.text.html.parser.Entity

All Implemented Interfaces:
  DTDConstants

public final class Entity
extends Object
implements DTDConstants

An entity in as described in a DTD using the ENTITY construct. It defines the type and value of the the entity.

See Also:
  `DTD`

Field Summary
`char[]` | `data`
`String` | `name`
`int` | `type`

Fields inherited from interface javax.swing.text.html.parser.DTDConstants
`ANY, CDATA, CONREF, CURRENT, DEFAULT, EMPTY, ENDTAG, ENTITIES, ENTITY, FIXED, GENERAL, ID, IDREF, IDREFS, IMPLIED, MD, MODEL, MS, NAME, NAMES, NMTOKEN, NMTOKENS, NOTATION, NUMBER, NUMBERS, NUTOKEN, NUTOKENS, PARAMETER, PI, PUBLIC, RCDATA, REQUIRED, SDATA, STARTTAG, SYSTEM`

Constructor Summary
`Entity(String name, int type, char[] data)` Create an entity.

Method Summary
`char[]` | `getData()` Return the data.
`String` | `getName()` Get the name of the entity.
`String` | `getString()` Return the data as a string.
`int` | `getType()` Get the type of the entity.
`boolean` | `isGeneral()` Return true if it is a parameter entity.
`boolean` | `isParameter()` Return true if it is a parameter entity.
`static int` | `name2type(String nm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### type

    public int type

### data

    public char[] data

Constructor Detail

### Entity

    public Entity(String name,
                  int type,
                  char[] data)

  Create an entity.

Method Detail

### getName

    public String getName()

  Get the name of the entity.

### getType

    public int getType()

  Get the type of the entity.

### isParameter

    public boolean isParameter()

  Return true if it is a parameter entity.

### isGeneral

    public boolean isGeneral()

  Return true if it is a parameter entity.

### getData

    public char[] getData()

  Return the data.

### getString

    public String getString()

  Return the data as a string.

### name2type

    public static int name2type(String nm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.